%define oname guichan
Name: libguichan
Version: 0.7.1
Release: alt1

Summary: Guichan - small, efficient C++ GUI library designed for games

License: BSD
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sourceforge.net/%oname/%oname-%version.tar.bz2
#Source: http://guichan.googlecode.com/files/%oname-%version.tar.bz2

Patch: %name-%version.patch
#Source: http://guichan.sourceforge.net/downloads/guichan-snapshot.tar.bz2

Url: http://guichan.sourceforge.net/

# manually removed: gcc-g77 libg2c-devel 
# Automatically added by buildreq on Thu Jan 03 2008
BuildRequires: gcc-c++ libSDL-devel libSDL_image-devel liballegro-devel libmesa-devel

%description
Guichan is a small, efficient C++ GUI library designed for games. It
comes with a standard set of widgets and can use several different
objects for displaying graphics and grabbing user input.

%package devel
Summary: Header files for Guichan library
Group: Development/C
Requires: %name = %version-%release
Requires: libstdc++-devel

%description devel
Header files for Guichan library.

%prep
%setup -q -n %oname-%version
%patch -p1
# make libguichan before extradirs
%__subst "s|SUBDIRS = widgets|SUBDIRS = widgets \.|g" src/Makefile.am

%build
%__autoreconf
export LDFLAGS="-L%_x11libdir"
%configure --disable-static \
	--enable-opengl \
	--enable-allegro

%make_build

%install
%make_install install DESTDIR=%buildroot

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/libguichan*.so.*

%files devel
%_libdir/libguichan*.so
%_includedir/guichan*

%changelog
* Thu Jan 03 2008 Vitaly Lipatov <lav@altlinux.ru> 0.7.1-alt1
- new version 0.7.1 (with rpmrb script)
- update patch, update buildreqs

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.0-alt0.2
- fix linking, check on x86_64 

* Mon Sep 04 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.0-alt0.1
- new version 0.5.0 (with rpmrb script)

* Mon May 29 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.4
- build snapshot

* Sun Dec 04 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.3
- use _x11libdir for X11 libs

* Sat Sep 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt0.2
- first build for ALT Linux Sisyphus
- spec from PLD

